How to compile hostapd-0.4.6 and wpa_supplicant-0.4.6 for madwifi-ng (1314) (Kel Modderman)

Jeff Sadowski jeff_sadowski at yahoo.com
Sat Nov 12 12:50:55 EST 2005


>Message: 1
>Date: Sat, 12 Nov 2005 19:23:45 +1000
>From: Kel Modderman <kelrin at tpg.com.au>
>Subject: Re: [Madwifi-devel] Re: How to compile
>hostapd-0.4.6 and
>        wpa_supplicant-0.4.6 for madwifi-ng (1314)
>To: Jouni Malinen <jkmaline at cc.hut.fi>
>Cc: hostap at shmoo.com,
>madwifi-devel at lists.sourceforge.net
>Message-ID: <4375B4A1.50901 at tpg.com.au>
>Content-Type: text/plain; charset=ISO-8859-1;
>format=flowed
>
>Jouni Malinen wrote:
>
>>On Wed, Nov 09, 2005 at 12:14:22PM -0300, Beat
>Meier wrote:
>>
>>  
>>
>>>I send here all patches for madwifi-ng and
>wpa_supplicant-0.4.6 and 
>>>hostapd-0.4.6 together.
>>>With this patches it is possible to compile a
>working 
>>>wpa_supplicant/hostapd for madwifi-ng release
>1314.
>>>    
>>>
>>
>>Thanks again. I ended up doing this a bit
>differently so that users do
>>not need to configure madwifi-ng vs. madwifi-old
>>in .config. In other
>>words, this is selected automatically based on the
>defined ioctls. One
>>will still need to build hostapd/wpa_supplicant
>separately for
>>madwifi-ng and madwifi-old, i.e., the automatic
>detection is build 
>time
>>operation.
>>  
>>
>Hi Jouni,
>
>This is great news!
>
>However, this method has a distinct disadvantage for
>binary 
>distributions; a new wpasupplicant that works with
>madwifi-ng will not 
>be backwards compatible with users still happy with
>the old madwifi, as 
>it seems that you will support one or the other but
>not both at once.
>
>Is it too much of a burden on you to support
>multiple madwifi versions 
>at once?
>
>Suggestions on howto handle this situation for
>maintainers of 
>wpa_supplicant for various binary distributions?
>
>Thanks, Kel.
>
>
>------------------------------
Considering that the madwifi team has never realeased
"stable" (I know they work good) madwifi drivers. I
think it would be in everyones best interest to
develop for the ng version of madwifi which I still
have yet to get working even with the patches that
where provided. My card just seems to constantly
switch card modes from a to g to Ta(what is this
anyone know) in a continuous cycle. I constantly go
back to a really old version of the madwifi driver a
cvs snapshot I took in august or so and use
wpa_supplicant 0.4.5 I haven't tried 0.4.6 because
0.4.5 works good enough for me. And as I go to upgrade
my wpa_supplicant I will also want to upgrade my
madwifi driver. I REALLY WANT TO UPGRADE MY MADWIFI
DRIVER. Sorry Im getting anxious for a new one that I
can get working.


		
__________________________________ 
Yahoo! FareChase: Search multiple travel sites in one click.
http://farechase.yahoo.com



More information about the HostAP mailing list